%define upstream_name	 Lingua-EN-Inflect
%define upstream_version 1.895

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Perl module to find English word inflections
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Lingua/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(version)
BuildArch:  noarch

%description
The exportable subroutines of Lingua::EN::Inflect provide plural inflections,
"a"/"an" selection for English words, and manipulation of numbers as words.
Plural forms of all nouns, most verbs, and some adjectives are provided. Where
appropriate, "classical" variants (for example: "brother" -> "brethren",
"dogma" -> "dogmata", etc.) are also provided.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
chmod 644 README Changes lib/Lingua/EN/Inflect.pm
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}
%{__make} test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%doc Changes META.yml MYMETA.yml README demo
%{perl_vendorlib}/Lingua/*
%{_mandir}/*/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.895.0-3.mga4
+ Revision: 512552
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.895.0-2.mga3
+ Revision: 369008
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 1.895.0-1.mga3
+ Revision: 294999
- update to 1.895

* Wed Jul 04 2012 jquelin <jquelin> 1.894.0-1.mga3
+ Revision: 267385
- update to 1.894

* Thu Jan 20 2011 jquelin <jquelin> 1.893.0-1.mga1
+ Revision: 26427
- mageia rebuild
- imported package perl-Lingua-EN-Inflect


* Sat Nov 13 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.893.0-1mdv2011.0
+ Revision: 597079
- new version

* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 1.892.0-1mdv2011.0
+ Revision: 552384
- update to 1.892

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 1.891.0-1mdv2010.1
+ Revision: 461323
- update to 1.891

* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 1.890.0-1mdv2010.0
+ Revision: 407789
- rebuild using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 1.89-4mdv2009.0
+ Revision: 241599
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.89-2mdv2008.0
+ Revision: 86519
- rebuild


* Mon Jul 18 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.89-1mdk
- 1.89, complete rewrite of specfile

* Thu Mar 17 2005 Bruno Cornec <bcornec@mandrakesoft.org> 1.88-1mdk
- Initial build.

